> For the complete documentation index, see [llms.txt](https://docs.cnpj.ws/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cnpj.ws/en/readme.md).

# Overview

[![Run in Insomnia](https://insomnia.rest/images/run.svg)](https://insomnia.rest/run/?label=CNPJ.ws\&uri=https%3A%2F%2Fwww.cnpj.ws%2Finsomnia.yaml)

The **CNPJ.ws** API provides simple and fast access to information about Brazilian companies through their CNPJ number. These data are obtained from public agencies such as SEFAZ, CADESP, Sintegra, and Suframa and are organized to deliver the most useful information, expanding the possibilities of utilizing these data.

## Basic JSON Structure

The data is structured to provide the maximum amount of useful information, enabling integration with various systems.

Data Types Used:

| Abbreviation | Description |
| :----------: | ----------- |
|       A      | Array       |
|       S      | String      |
|       D      | Date        |
|       N      | Number      |
|       O      | Objct       |

Below is the basic structure returned by the CNPJ API:

| Field                         | Type | Description                               |
| ----------------------------- | :--: | ----------------------------------------- |
| cnpj\_raiz                    |   S  | CNPJ Root                                 |
| razao\_social                 |   S  | Company Name                              |
| capital\_social               |   S  | Share Capital                             |
| responsavel\_federativo       |   S  | Federative Responsible                    |
| criado\_em                    |   S  | Registration Date in the CNPJ.ws database |
| atualizado\_em                |   S  | Last Update Date of the Information       |
| porte                         |   O  | Company Size                              |
| natureza\_juridica            |   O  | Legal Nature                              |
| qualificacao\_do\_responsavel |   O  | Qualification of the Responsible          |
| socios                        |   O  | List of Partners                          |
| estabelecimento               |   O  | Establishment                             |
| simples                       |   O  | Simples and MEI Data                      |

## Data Lag

The maximum data lag is 45 days, with daily integrations with the state Sintegras with which we have integration.

If you have any questions, we are here to support you! Send an email to <contato@cnpj.ws>!

[![DigitalOcean Referral Badge](https://web-platforms.sfo2.cdn.digitaloceanspaces.com/WWW/Badge%201.svg)](https://www.digitalocean.com/?refcode=58b7deafafad\&utm_campaign=Referral_Invite\&utm_medium=Referral_Program\&utm_source=badge)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cnpj.ws/en/readme.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
